Bug 177473 - ol-schema-migrate.pl generates mangled LDIF during Samba setup.
ol-schema-migrate.pl generates mangled LDIF during Samba setup.
Product: 389
Classification: Community
Component: Database - General (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Noriko Hosoi
Orla Hegarty
Depends On:
  Show dependency treegraph
Reported: 2006-01-10 17:11 EST by Brian Rudy
Modified: 2008-08-11 19:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-30 13:57:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Mangled 61samba.ldif (172.19 KB, application/octet-stream)
2006-01-10 17:11 EST, Brian Rudy
no flags Details
Original samba.schema (15.94 KB, application/octet-stream)
2006-01-10 20:19 EST, Brian Rudy
no flags Details

  None (edit)
Description Brian Rudy 2006-01-10 17:11:54 EST
Description of problem:

While setting up FDS 1.0.1 as a LDAP backend for a Samba PDC (per the
Howto:Samba Wiki) the attached mangled 61samba.ldif was generated by
ol-schema-migrate.pl. Slapd does not complain about being unable to read the
schema file when loading, but attempting to load LDIFs with objectClasses
defined in 61samba.ldif fail with an 'Object class violation'.

Version-Release number of selected component (if applicable):

14 June 2005 version of ol-schema-migrate.pl

How reproducible:

Steps to Reproduce:
1. Download ol-schema-migrate.pl from
2. perl ol-schema-migrate.pl /usr/share/doc/samba-3.0.9/LDAP/samba.schema >
3. Create /tmp/sambaDomainName.ldif with the following content:

 dn: sambaDomainName=CMOMA,dc=cmoma,dc=mycompany,dc=com
 objectclass: sambaDomain
 objectclass: sambaUnixIDPool
 objectclass: top
 sambaDomainName: CMOMA
 sambaSID: S-1-5-21-4207250186-2406131440-3849861866
 uidNumber: 550
 gidNumber: 550 

4. /opt/fedora-ds/slapd-<server>/ldif2ldap "cn=Directory manager" password

Actual results:

adding new entry sambaDomainName=CMOMA,dc=cmoma,dc=mycompany,dc=com
ldap_add: Object class violation
ldap_add: additional info: unknown object class "sambaUnixIDPool" 

Expected results:

Sucessful LDIF import.

Additional info:
Comment 1 Brian Rudy 2006-01-10 17:11:55 EST
Created attachment 123017 [details]
Mangled 61samba.ldif
Comment 2 Rich Megginson 2006-01-10 18:25:30 EST
Weird - I don't have this problem on my Fedora Core 4 system -

Can you attach your original samba.schema file?
Comment 3 Brian Rudy 2006-01-10 20:19:19 EST
Created attachment 123023 [details]
Original samba.schema

This file was later used to generate a valid 61samba.ldif with the above
described procedure. I'm not sure why it behaved differently the first time.
Comment 4 Kevin Unthank 2006-01-30 13:57:17 EST
Closing bug as not reproducable 
filed new bug 179379 to address problem with corrupt ldif errors
being silently ignored
Comment 5 Chandrasekar Kannan 2008-08-11 19:43:40 EDT
Bug already CLOSED. setting screened+ flag

Note You need to log in before you can comment on or make changes to this bug.